/*
 * This file is for Right-to-Left (RTL) languages.
 * Drupal will automatically load this file for RTL languages,
 * but it's important to provide a more specific selector to
 * ensure it overrides the default LTR styles.
 */

/* Initial position for the menu in RTL, off-screen to the right */
[dir="rtl"] .primary-menu {
  left: auto;
  right: 0;
  width: 100%;
  height: 100%;
  transform: translateX(100%);
  transition: transform 0.3s ease-in-out;
}

/* When the menu is active, slide it into view from the right */
[dir="rtl"].menu-active .primary-menu {
  transform: translateX(0);
}

/* When the menu is active, push the main content to the left */
[dir="rtl"].menu-active .dialog-off-canvas-main-canvas {
  transform: translateX(-100%);
}

/* Position the close button in the top-left corner in RTL */
[dir="rtl"] .primary-menu .menu-close {
  left: 1rem;
  right: auto;
  top: 1rem;
}
[dir="rtl"] .secondary-menu #block-multi-site-theme-mainnavigation {
  float:right;
}
[dir="rtl"] .secondary-menu #block-multi-site-theme-dropdownlanguage-2 ul{
  width: 62px;
}